/*------------------------------------------------------------------------------
 src/bin/djvlut/base.cxx

 Copyright (c) 2004-2006 Darby Johnston.
 All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include "base.h"
#include "app.h"
#include <djImageOpStack.h>

namespace djvlut {

const StrList imageOpList()
{
  return StrList() + Str("LUT") + Str("Brightness") + Str("Contrast") +
    Str("Gamma") + Str("Levels In") + Str("Levels Out") + Str("Soft Clip") +
    Str("Negate");
}

void imageOpDefault()
{
  ImageOpStack & imageOpStack = djvlutApp->imageOpStack();
  
  imageOpStack.stackNew("Gamma");
  imageOpStack.stackNew("Levels");
  imageOpStack.stackNew("Brightness / Contrast");
    
  imageOpStack.opNew("Gamma", 0);
  imageOpStack.opNew("Levels In", 1);
  imageOpStack.opNew("Levels Out", 1);
  imageOpStack.opNew("Brightness", 2);
  imageOpStack.opNew("Contrast", 2);
}

}
